Bug 15898 - Use Koha::Account::pay internally for makepartialpayment
Summary: Use Koha::Account::pay internally for makepartialpayment
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on: 15897
Blocks: 15909
  Show dependency treegraph
 
Reported: 2016-02-24 14:26 UTC by Kyle M Hall
Modified: 2017-12-07 22:17 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15898 - Use Koha::Account::pay internally for makepartialpayment (3.89 KB, patch)
2016-02-24 14:29 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 15898 - Use Koha::Account::pay internally for makepartialpayment (3.89 KB, patch)
2016-06-07 15:11 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 15898 - Use Koha::Account::pay internally for makepartialpayment (3.89 KB, patch)
2016-12-10 09:56 UTC, Josef Moravec
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 15898 - Use Koha::Account::pay internally for makepartialpayment (3.95 KB, patch)
2016-12-10 10:43 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 15898 - Use Koha::Account::pay internally for makepartialpayment (4.01 KB, patch)
2017-01-10 16:32 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2016-02-24 14:26:40 UTC

    
Comment 1 Kyle M Hall 2016-02-24 14:29:39 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2016-06-07 15:11:08 UTC
Created attachment 52141 [details] [review]
Bug 15898 - Use Koha::Account::pay internally for makepartialpayment

This is the fourth patch in a series to unify all payment functions into
a single mathod

Test Plan:
1) Apply this patch
2) prove t/db_dependent/Accounts.t
3) Test fine payment via the "Pay" button,
   but make the payment for less then the full amount
Comment 3 Marcel de Rooy 2016-11-04 10:26:35 UTC
A follow-up on patch 15906 deals too with makepartialpayment and may now interfere with this one. Should be simple to resolve.
Comment 4 Josef Moravec 2016-12-10 09:56:27 UTC
Created attachment 58093 [details] [review]
Bug 15898 - Use Koha::Account::pay internally for makepartialpayment

This is the fourth patch in a series to unify all payment functions into
a single mathod

Test Plan:
1) Apply this patch
2) prove t/db_dependent/Accounts.t
3) Test fine payment via the "Pay" button,
   but make the payment for less then the full amount
Comment 5 Josef Moravec 2016-12-10 09:57:06 UTC
Just a rebase, now start testing
Comment 6 Josef Moravec 2016-12-10 10:43:59 UTC
Created attachment 58095 [details] [review]
[SIGNED-OFF] Bug 15898 - Use Koha::Account::pay internally for makepartialpayment

This is the fourth patch in a series to unify all payment functions into
a single mathod

Test Plan:
1) Apply this patch
2) prove t/db_dependent/Accounts.t
3) Test fine payment via the "Pay" button,
   but make the payment for less then the full amount

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 7 Jonathan Druart 2017-01-10 16:32:28 UTC
Created attachment 58765 [details] [review]
Bug 15898 - Use Koha::Account::pay internally for makepartialpayment

This is the fourth patch in a series to unify all payment functions into
a single mathod

Test Plan:
1) Apply this patch
2) prove t/db_dependent/Accounts.t
3) Test fine payment via the "Pay" button,
   but make the payment for less then the full amount

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 8 Kyle M Hall 2017-01-11 14:39:56 UTC
Pushed to master for 17.05!
Comment 9 Katrin Fischer 2017-01-15 16:04:57 UTC
This won't get ported back to 16.11.x as it is an enhancement.